
Image Component Library - Bug #352

Incoherent function argument names and/or bad documentation

2014-12-11 18:46 - Guillaume Walck

Status: Closed Start date: 2014-12-11

Priority: Normal Due date:  

Assignee:  % Done: 10%

Category:  Estimated time: 0.00 hour

Target version:    

Description

ICLGeom_API SceneObject* icl::geom::SceneObject::addCylinder     (     float      x,

        float      y,

        float      z,

        float      rx,

        float      ry,

        float      h,

        int      steps

    )

from reading the source arguments rx,rz should actually be dx and dy and be documented as diameters (they are divided by two in

the source)

History

#1 - 2014-12-11 18:47 - Guillaume Walck

of course I meant  rx,ry  (german keyboard....)

#2 - 2017-09-22 10:59 - Guillaume Walck

- % Done changed from 0 to 10

still the case in latest ICL

#3 - 2017-11-22 22:35 - Alexander Neumann

- Status changed from New to Closed

I ported your issue to Github. You can find it here. I will close this issue. Feel free to reopen it in case you think it should be discussed here further.
